*** ../vim71-no-vts/runtime/doc/change.txt	2008-01-16 21:06:00.000000000 +0000
--- runtime/doc/change.txt	2008-01-17 12:15:35.000000000 +0000
***************
*** 832,837 ****
--- 832,842 ----
  			{not in Vi}
  			Not available when |+ex_extra| feature was disabled at
  			compile time.
+ 			If the |+vartabs| feature is enabled then a list of
+ 			tab widths separated by commas may be used in place of
+ 			a single tabstop.  Each value in the list represents
+ 			the width of one tabstop, except the final value which
+ 			applies to all following tabstops.
  
  							*retab-example*
  Example for using autocommands and ":retab" to edit a file which is stored
*** ../vim71-no-vts/runtime/doc/options.txt	2008-01-16 21:06:10.000000000 +0000
--- runtime/doc/options.txt	2008-01-17 16:55:48.000000000 +0000
***************
*** 6030,6035 ****
--- 6030,6039 ----
  	set.
  	NOTE: This option is set to 0 when 'compatible' is set.
  
+ 	If Vim is compiled with the |+vartabs| feature then the value of
+ 	'softtabstop' will be ignored if |'varsofttabstop'| is set to
+ 	anything other than an empty string.
+ 
  						*'spell'* *'nospell'*
  'spell'			boolean	(default off)
  			local to window
***************
*** 6566,6571 ****
--- 6570,6579 ----
  	   though.  Otherwise aligned comments will be wrong when 'tabstop' is
  	   changed.
  
+ 	If Vim is compiled with the |+vartabs| feature then the value of
+ 	'tabstop' will be ignored if |'vartabstop'| is set to anything other
+ 	than an empty string.
+ 
  			*'tagbsearch'* *'tbs'* *'notagbsearch'* *'notbs'*
  'tagbsearch' 'tbs'	boolean	(default on)
  			global
***************
*** 7135,7140 ****
--- 7143,7186 ----
  	written to disk (see |crash-recovery|).  Also used for the
  	|CursorHold| autocommand event.
  
+ 					*'varsofttabstop'* *'vsts'*
+ 'varsofttabstop' 'vsts'	string	(default "")
+ 			local to buffer
+ 			{only available when compiled with the |+vartabs|
+ 			feature}
+ 			{not in Vi}
+ 	A list of the number of spaces that a <Tab> counts for while editing,
+ 	such as inserting a <Tab> or using <BS>.  It "feels" like variable-
+ 	width <Tab>s are being inserted, while in fact a mixture of spaces
+ 	and <Tab>s is used.  Tab widths are separated with commas, with the
+ 	final value applying to all subsequent tabs.
+ 	
+ 	For example, when editing assembly language files where statements
+ 	start in the 8th column and comments in the 40th, it may be useful
+ 	to use the following: >
+ 		:set varsofttabstop=8,32,8
+ <	This will set soft tabstops at the 8th and 40th columns, and at every
+ 	8th column thereafter.
+ 
+ 	Note that the value of |'softtabstop'| will be ignored while
+ 	'varsofttabstop' is set.
+ 
+ 						*'vartabstop'* *'vts'*
+ 'vartabstop' 'vts'	string	(default 8)
+ 			local to buffer
+ 			{only available when compiled with the |+vartabs|
+ 			feature}
+ 			{not in Vi}
+ 	A list of the number of spaces that a <Tab> in the file counts for,
+ 	separated by commas.  Each value corresponds to one tab, with the
+ 	final value applying to all subsequent tabs. For example: >
+ 		:set vartabstop=4,20,10,8
+ <	This will make the first tab 4 spaces wide, the second 20 spaces,
+ 	the third 10 spaces, and all following tabs 8 spaces.
+ 
+ 	Note that the value of |'tabstop'| will be ignored while 'vartabstop'
+ 	is set.
+ 
  						*'verbose'* *'vbs'*
  'verbose' 'vbs'		number	(default 0)
  			global
*** ../vim71-no-vts/runtime/doc/various.txt	2008-01-16 21:10:23.000000000 +0000
--- runtime/doc/various.txt	2008-01-17 12:15:35.000000000 +0000
***************
*** 387,392 ****
--- 387,393 ----
  N  *+title*		Setting the window 'title' and 'icon'
  N  *+toolbar*		|gui-toolbar|
  N  *+user_commands*	User-defined commands. |user-commands|
+ B  *+vartabs*		Variable-width tabstops. |'vartabstop'|
  N  *+viminfo*		|'viminfo'|
  N  *+vertsplit*		Vertically split windows |:vsplit|
  N  *+virtualedit*	|'virtualedit'|
